Bug 522892 - setroubleshoot: SELinux is preventing mplayer (nsplugin_t) "read" user_home_dir_t.
Summary: setroubleshoot: SELinux is preventing mplayer (nsplugin_t) "read" user_h...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:d637e21e833...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 01:06 UTC by Brian Harrington
Modified: 2009-10-04 20:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-12 03:10:13 UTC


Attachments (Terms of Use)

Description Brian Harrington 2009-09-12 01:06:19 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing mplayer (nsplugin_t) "read" user_home_dir_t.

Detailed Description:

SELinux denied access requested by mplayer. It is not expected that this access
is required by mplayer and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c102
                              3
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                config [ file ]
Source                        mplayer
Source Path                   /usr/bin/mplayer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mplayer-1.0-0.109.20090329svn.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.26-8.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.125.4.2.rc5.git2.fc12.i686 #1 SMP Tue Aug
                              11 21:20:05 EDT 2009 i686 i686
Alert Count                   12
First Seen                    Sat 05 Sep 2009 04:38:22 PM EDT
Last Seen                     Mon 07 Sep 2009 09:30:03 PM EDT
Local ID                      ee9e5531-68b1-41ab-bb0c-7d422dfb1b39
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1252373403.769:39): avc:  denied  { read } for  pid=2518 comm="mplayer" name="config" dev=dm-3 ino=265539 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252373403.769:39): arch=40000003 syscall=5 success=no exit=-13 a0=9838730 a1=8000 a2=1b6 a3=87506b4 items=0 ppid=2517 pid=2518 auid=501 uid=501 gid=501 euid=501 suid=501 fsuid=501 egid=501 sgid=501 fsgid=501 tty=(none) ses=1 comm="mplayer" exe="/usr/bin/mplayer" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= nsplugin_t ==============
allow nsplugin_t user_home_dir_t:file read;

Comment 1 Daniel Walsh 2009-09-12 03:10:13 UTC
You have a mislabeled homedir.

restorecon -R -v ~


Note You need to log in before you can comment on or make changes to this bug.